summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Helleu <flashcode@flashtux.org>2017-01-14 15:14:37 +0100
committerSébastien Helleu <flashcode@flashtux.org>2017-01-14 15:14:37 +0100
commit5cc4005231d4d8034bef47ce627e8049b0bac4f9 (patch)
tree66a1be8ea75a312e5ed96913767c40134f2c7382
parent9b5da2f11f49a274116ae30659e8873626136022 (diff)
downloadweechat-5cc4005231d4d8034bef47ce627e8049b0bac4f9.zip
core: move script makedist.sh to tools directory, make all arguments optional
-rw-r--r--CMakeLists.txt2
-rw-r--r--Makefile.am2
-rwxr-xr-xmakedist.sh55
-rwxr-xr-xtools/makedist.sh70
4 files changed, 72 insertions, 57 deletions
diff --git a/CMakeLists.txt b/CMakeLists.txt
index f2871ff91..0e8e30cde 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -237,7 +237,7 @@ add_custom_target(uninstall
"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
add_custom_target(dist
- "${CMAKE_CURRENT_SOURCE_DIR}/makedist.sh" "${VERSION}" "HEAD" "${CMAKE_CURRENT_BINARY_DIR}"
+ "${CMAKE_CURRENT_SOURCE_DIR}/tools/makedist.sh" "${VERSION}" "HEAD" "${CMAKE_CURRENT_BINARY_DIR}"
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
# pkgconfig file
diff --git a/Makefile.am b/Makefile.am
index 1b5570109..12d338409 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -39,7 +39,6 @@ EXTRA_DIST = AUTHORS.adoc \
CMakeLists.txt \
config.rpath \
config.h.cmake \
- makedist.sh \
cmake/CMakeParseArguments.cmake \
cmake/FindAsciidoctor.cmake \
cmake/FindAspell.cmake \
@@ -65,6 +64,7 @@ EXTRA_DIST = AUTHORS.adoc \
po/srcfiles.cmake \
tools/build-test.sh \
tools/git-version.sh \
+ tools/makedist.sh \
version.sh \
weechat.png \
weechat.pc.in \
diff --git a/makedist.sh b/makedist.sh
deleted file mode 100755
index bdf16896a..000000000
--- a/makedist.sh
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-#
-# Copyright (C) 2003-2017 Sébastien Helleu <flashcode@flashtux.org>
-#
-# This file is part of WeeChat, the extensible chat client.
-#
-# WeeChat is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# WeeChat is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with WeeChat. If not, see <http://www.gnu.org/licenses/>.
-#
-
-#
-# Build gzip/bzip2/xz tarballs for WeeChat using git-archive.
-#
-# Syntax:
-# makedist.sh <version> <tree-ish> [<path>]
-#
-# version : WeeChat version, for example 0.3.9 or 0.4.0-dev
-# tree-ish: git tree-ish (optional, defaults to HEAD), example: v0.3.9
-# path : where to put packages (optional, default is current directory)
-#
-
-if [ $# -lt 2 ]; then
- echo "Syntax: $0 <version> <tree-ish> [<path>]"
- exit 1
-fi
-
-VERSION=$1
-TREEISH=${2:-HEAD}
-OUTPATH="."
-
-if [ $# -ge 3 ]; then
- OUTPATH=$3
-fi
-
-PREFIX="weechat-${VERSION}/"
-FILE="weechat-${VERSION}.tar"
-
-echo "Building file ${FILE}.gz"
-git archive --prefix=${PREFIX} ${TREEISH} | gzip -c >${OUTPATH}/${FILE}.gz
-
-echo "Building file ${FILE}.bz2"
-git archive --prefix=${PREFIX} ${TREEISH} | bzip2 -c >${OUTPATH}/${FILE}.bz2
-
-echo "Building file ${FILE}.xz"
-git archive --prefix=${PREFIX} ${TREEISH} | xz -c >${OUTPATH}/${FILE}.xz
diff --git a/tools/makedist.sh b/tools/makedist.sh
new file mode 100755
index 000000000..35b22b010
--- /dev/null
+++ b/tools/makedist.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Copyright (C) 2003-2017 Sébastien Helleu <flashcode@flashtux.org>
+#
+# This file is part of WeeChat, the extensible chat client.
+#
+# WeeChat is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# WeeChat is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with WeeChat. If not, see <http://www.gnu.org/licenses/>.
+#
+
+#
+# Build gzip/bzip2/xz tarballs for WeeChat using git-archive.
+#
+# Syntax: makedist.sh [<version> [<tree-ish> [<path>]]]
+#
+# Optional arguments:
+#
+# version WeeChat version, for example 1.6 or 1.7-dev
+# defaults to current devel version (output of "version.sh devel-full")
+# tree-ish git tree-ish, example: v1.6
+# defaults to "HEAD"
+# path where to put packages
+# defaults to current directory
+#
+
+# check git repository
+ROOT_DIR=$(git rev-parse --show-toplevel)
+if [ -z "${ROOT_DIR}" -o ! -d "${ROOT_DIR}/.git" ]; then
+ echo "This script must be run from WeeChat git repository."
+ exit 1
+fi
+
+# default values
+VERSION="$(${ROOT_DIR}/version.sh devel-full)"
+TREEISH="HEAD"
+OUTPATH="$(pwd)"
+
+if [ $# -ge 1 ]; then
+ VERSION=$1
+fi
+if [ $# -ge 2 ]; then
+ TREEISH=$2
+fi
+if [ $# -ge 3 ]; then
+ OUTPATH=$(cd "$3"; pwd)
+fi
+
+cd "${ROOT_DIR}"
+
+PREFIX="weechat-${VERSION}/"
+FILE="${OUTPATH}/weechat-${VERSION}.tar"
+
+echo "Building package ${FILE}.gz"
+git archive --prefix=${PREFIX} ${TREEISH} | gzip -c >${FILE}.gz
+
+echo "Building package ${FILE}.bz2"
+git archive --prefix=${PREFIX} ${TREEISH} | bzip2 -c >${FILE}.bz2
+
+echo "Building package ${FILE}.xz"
+git archive --prefix=${PREFIX} ${TREEISH} | xz -c >${FILE}.xz